Subject: Re: bug#6616: S-TAB is mismapped in the *Help* buffer

From: Adrian Robert <[email-masked]>
Date: Mon, 12 Jul 2010 22:03:11 +0300

On Jul 12, 2010, at 8:29 PM, Eli Zaretskii wrote:

> This is Mac-specific, and it is due to this line from term/ns-win.el:
> 
>    (define-key map [S-tab] [25])
> 
> I have no idea why this line is there, perhaps Mac users expect this
> binding.  I also don't see how this line plays with the following line
> from the same ns-win.el, a few lines up:
> 
>    (put 'S-tab 'ascii-character (logior 16 ?\t))
> 
> These two lines have been there for almost 2 years.
> 
>> My guess is that the right place to change this is in the
>> `button-buffer-map'.
> 
> No, the right way seems to be to find out why ns-win.el defines this
> strange mapping.  Adrian?

These lines were in the file when I started working with the port (more than 2 years ago ;), and although the definitions got moved around slightly, I never removed anything unless a problem was reported.  Now that we have this report, I propose removing BOTH of the S-tab lines.  I tried this locally and it did no harm, and let S-tab be interpreted (though some default mapping seems to translate it to plain tab).

The other stuff in ns-alternatives-map appears to be needed though, else the characters listed there don't get interpreted correctly.